package com.gyee.wisdom.dao.alarm;


import com.gyee.wisdom.common.data.alarm.Alertsnap;

import java.util.List;

public interface AlarmsnapDao {
    public List<Alertsnap> findAll();
    public Alertsnap findById(Long id);
    public void  deletebyid(Long id);
    public Alertsnap save(Alertsnap Alertsnap);
    public void save(List<Alertsnap> Alertsnaps);

  //  public Alertsnap findByprojectId(String id);
    public Alertsnap findByWindturbineIdAndAlertValue(String windturbineid,int alertvalue);
    public Alertsnap findByStationIdAndAlertValue(String stationId,int alertvalue);
    public Alertsnap findByTestingpointkey(String testingpointkey);

}
